Name: fonts-GalatiaSIL-unicode
Version: 2.0.1
Release: 1
License: Free for noncommercial purposes
Source: GalSILv201.zip
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Galatia SIL Greek Unicode Fonts
URL: http://scripts.sil.org/SILgrkuni
Prereq: fontconfig 
 
%description
Galatia SIL is the second release of a Biblical Greek font package from SIL International. The typeface is almost identical to the original  SIL Galatia font, but is now encoded according to Unicode 3.1.

The Galatia SIL fonts contain most of the symbols defined in Unicode 3.1 for Latin-1, Greek (excluding Coptic), Macintosh Character Set (US Roman), and 850WE/Latin-1 and are supplied in Regular and Bold weights.


%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/GalatiaSIL-unicode
cp GALSIL*/Fonts/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/GalatiaSIL-unicode
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/GalatiaSIL-unicode/fonts.cache-1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts-GalatiaSIL-unicode
cp -rf GALSIL*/Conversion GALSIL*/Keyboards* $RPM_BUILD_ROOT%{_datadir}/fonts-GalatiaSIL-unicode

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc GALSIL*/README.txt
%doc GALSIL*/Documentation/
%dir %{_datadir}/fonts/GalatiaSIL-unicode
%{_datadir}/fonts/GalatiaSIL-unicode/*.ttf
%ghost %{_datadir}/fonts/GalatiaSIL-unicode/fonts.cache-1
%dir %{_datadir}/fonts-GalatiaSIL-unicode/
%{_datadir}/fonts-GalatiaSIL-unicode/*/*

%changelog
* Tue Feb 28 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
